# run with...
# blender -b myblendfile.blend -P render_settings.py -a
from Blender import Scene, Object
import sys

def main():
	
	# Was a camera name given as a python arg???
	# eg...
	# -- SomeCameraName
	camera = None
	argv = sys.argv
	if argv:
		try:
			camera = Object.Get(argv[argv.index('--')+1])
		except:
			print "ERROR, Camera as argument could not be set '%s'" % argv[0]
	
	
	# Settings for all scenes
	for sce in Scene.Get():
		rend = sce.render
		rend.freeImages = True
		rend.saveBuffers = True
		rend.compositeFree = True
		
		rend.oversampling = True
		
		# rend.OSALevel = 8 # We dont want to set this now.
		rend.threads = 1
		
		rend.motionBlur = False
		rend.fieldRendering = False
		
		if camera:
			sce.camera = camera
	
	# Settings for render scene
	sce = Scene.GetCurrent()
	rend = sce.render
	
	rend.extensions = 1
	rend.renderwinSize = 100
	
	#rend.enableSky()
	#rend.enablePremultiply()
	#rend.enableKey()
	
	#rend.enableBWColor()
	rend.enableRGBColor()
	#rend.enableRGBAColor()
	
	rend.compositor = True
	rend.sequencer = False
	rend.sizeX = 1920
	rend.sizeY = 1080
	
	rend.xParts = 6
	rend.yParts = 6
	
	rend.fps = 24
	
	rend.zbuf = False
	rend.halfFloat = True
	rend.preview = False
	
	rend.touch = False
	rend.noOverwrite =False
	
	rend.imageType = Scene.Render.OPENEXR

if __name__ == '__main__':
	main()
